SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000801: pop3 proxy filtert eicartestfile nicht heraus - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000801Endian FirewallOther Servicespublic2008-05-14 11:462008-09-10 15:44
Reporternikolai 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.2-rc3Fixed in Version2.2-rc2 
Summary0000801: pop3 proxy filtert eicartestfile nicht heraus
Descriptionclamav ist aktuell läuft und der pop3 proxy auch. trotzdem wurde das eicartestfile nicht herausgefiltert. der httpproxy blockt!
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001188)
peter-endian (administrator)
2008-05-15 20:05

sieht so aus als würde clamd die eicar signatur nicht kennen.

clamdscan findet erkennt das eicar file nicht
clamscan aber schon

root@efw-frangart:~ # clamdscan /root/eicar.com
/root/eicar.com: OK

----------- SCAN SUMMARY -----------
Infected files: 0
Time: 0.001 sec (0 m 0 s)


root@efw-frangart:~ # clamscan /root/eicar.com
/root/eicar.com: Eicar-Test-Signature FOUND

----------- SCAN SUMMARY -----------
Known viruses: 285396
Engine version: 0.93
Scanned directories: 0
Scanned files: 1
Infected files: 1
Data scanned: 0.00 MB
Time: 4.323 sec (0 m 4 s)

root@efw-frangart:~ # /etc/init.d/clamd restart
Stopping clamd: [ OK ]
Starting clamd: [ OK ]
/etc/init.d/clamd restart
root@efw-frangart:~ # clamdscan /root/eicar.com
/root/eicar.com: OK

----------- SCAN SUMMARY -----------
Infected files: 0
Time: 0.001 sec (0 m 0 s)
root@efw-frangart:~ #
(0001196)
peter-endian (administrator)
2008-05-16 19:04

hier der quick-fix per patch:

Index: src/config/clamd.conf.tmpl
===================================================================
--- src/config/clamd.conf.tmpl (revision 13302)
+++ src/config/clamd.conf.tmpl (working copy)
@@ -27,7 +27,7 @@
 PhishingSignatures yes
 ScanHTML yes
 ScanArchive yes
-MaxScanSize ${ARCHIVE_MAXFILESIZE}
+MaxScanSize ${ARCHIVE_MAXFILESIZE}M # M is necessary! It means Megabyte!
 MaxRecursion ${ARCHIVE_MAXRECURSION}
 MaxFiles ${ARCHIVE_MAXFILES}
 #ArchiveMaxCompressionRatio ${ARCHIVE_MAXCOMPRESSIONRATIO}

- Issue History
Date Modified Username Field Change
2008-05-14 11:46 nikolai New Issue
2008-05-15 20:05 peter-endian Note Added: 0001188
2008-05-15 20:05 peter-endian Status new => confirmed
2008-05-15 20:05 peter-endian Target Version => 2.2
2008-05-16 19:04 peter-endian Note Added: 0001196
2008-05-16 19:05 peter-endian Status confirmed => resolved
2008-05-16 19:05 peter-endian Fixed in Version => 2.2
2008-05-16 19:05 peter-endian Resolution open => fixed
2008-05-16 19:05 peter-endian Assigned To => peter-endian
2008-07-24 15:53 ra-endian Fixed in Version 2.2 => 2.2-rc2
2008-07-27 20:18 peter-endian Status resolved => closed
2008-09-10 15:44 chris-endian Target Version 2.2 => 2.2-rc3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker